package com.red.circle.other.app.service.game;


import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.other.app.dto.clientobject.activity.RewardPoolCO;
import com.red.circle.other.app.dto.clientobject.game.GameKingDataCO;
import com.red.circle.other.app.dto.cmd.activity.RewardPoolCmd;
import java.util.List;

/**
 * 游戏王 - 每周固定活动.
 *
 * @author pengshigang on 2021/12/29.
 */
public interface GameKingService {

  List<RewardPoolCO> listRewardPool(RewardPoolCmd cmd);

  void sendRewardPool(RewardPoolCmd cmd);

  List<GameKingDataCO> history(AppExtCommand cmd);

  GameKingDataCO thisWeek(AppExtCommand cmd);

}
